Bug 89088 - Crashes Mozilla to look at this page
Crashes Mozilla to look at this page
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
Blocks: 90218
  Show dependency treegraph
Reported: 2003-04-17 10:40 EDT by Eric Hopper
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-02 11:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2003-04-17 10:40:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I visit this page, Mozilla dies.
This must have something to do with my browser configuration though because it
doesn't happen for a user with an empty .mozilla directory.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Put URL: http://www.kayeyem.net/index2.php in URL bar
2.hit return
3.browser crashes

Actual Results:  Browser crashes

Expected Results:  Page should display

Additional info:

Something about my .mozilla directory is causing this, it doesn't happen for a
user with an empty .mozilla directory.
Possibly this page does something strange inside a .mozilla with a fresh
configuration, but doesn't cause it to crash.
Comment 1 Christopher Blizzard 2003-05-05 13:19:32 EDT
Works here, even with my profile in place.  Do you have any .fon files in your
font path?  Or any font files that aren't world-readable?  Might be an upstream
moz bug you're seeing.
Comment 2 Gordon Messmer 2003-05-30 19:11:51 EDT
I believe that this is caused by the css font specification.  For instance:

div.ljtalklink {
font:10px/20px verdana, arial, helvetica, sans-serif;

If you have the verdana font, this might crash Mozilla.  I get the same thing
when I try to visit http://www.mythtv.org/.  There, CSS refers to the font "12px
MS Sans Serif", and Mozilla crashes immediately.

Might this be a bug in fontconfig?  I don't know what the results of its lookup
are, but it's definitely not returning the font requested.  "xterm -fa '12px MS
Sans Serif'" won't crash on my box, but it'll display the same font as if I use
any nonsense font name.  Mozilla crashes if I try to load '12px MS Sans Serif'
from CSS, but not if I use a nonsense name.
Comment 3 Christopher Blizzard 2003-06-02 11:05:47 EDT
This has been filed upstream as well.

Comment 4 Gordon Messmer 2003-06-24 21:52:44 EDT
The concensus on the upstream bug is that this is a fontconfig issue.

I've also applied the very small patch found here:
to fontconfig, and it resolves both crashes that I'd seen with mozilla:
* .fon files
* font descriptions of this format:  10px/20px verdana

Note You need to log in before you can comment on or make changes to this bug.